Installation Media - Bug #2633

cryptsetup not available on CLI OpenRC iso
2020-02-15 07:03 PM - kathor

Status: not-a-bug % Done: 0%
Priority: bug

Assignee: Megver83

Category: OpenRC

Description

I booted the CLI OpenRC iso on my librebooted i686 machine (ThinkPad T60)

Typing "cryptsetup” returns that only "_cryptsetup” is available

Related issues:
Related to Installation Media - Feature Request #2900: add 'cryptsetup' to op... open

History

#1 - 2020-03-09 10:47 AM - bill-auger
- Assignee set to Megver83

- Category set to OpenRC

#2 - 2020-03-25 06:47 PM - Megver83

- Status changed from unconfirmed to not-a-bug

install it from the live system then, it's very easy, just type "pacman -S cryptsetup" and you're done

#3 - 2020-09-22 08:45 AM - bill-auger
- Related to Feature Request #2900: add ‘cryptsetup' to openRC LivelSOs added

#4 - 2021-03-09 12:09 AM - bill-auger

the pacman install hook runs mkinitcpio, which will fail by default because there is no kernel under /boot

to install cryptsetup into a running parabola live system:

# 1ln —-s /run/parabolaiso/bootmnt/parabola/boot/x86_64/vmlinuz /boot/vmlinuz-linux-libre

# pacman -S cryptsetup
